Class | Sequel::Informix::Dataset
In: | lib/sequel/adapters/informix.rb
Parent: | Sequel::Dataset

### Methods

fetch_rows

### Constants

SELECT_CLAUSE_METHODS | = | clause_methods(:select, %w'limit distinct columns from join where having group compounds order')

### Public Instance methods

fetch_rows(sql) {|h2| ...}

[Source]

        # File lib/sequel/adapters/informix.rb, line 40
    40:       def fetch_rows(sql, &block)
    41:         execute(sql) do |cursor|
    42:           begin
    43:             col_map = nil
    44:             cursor.open.each_hash do |h|
    45:               unless col_map
    46:                 col_map = {}
    47:                 @columns = h.keys.map{|k| col_map[k] = output_identifier(k)}
    48:               end
    49:               h2 = {}
    50:               h.each{|k,v| h2[col_map[k]||k] = v}
    51:               yield h2
    52:             end
    53:           ensure
    54:             cursor.drop
    55:           end
    56:         end
    57:         self
    58:       end

[Validate]